com.threerings.whirled.client

## Interface SceneService.SceneMoveListener

All Superinterfaces:
  com.threerings.presents.client.InvocationService.InvocationListener

All Known Subinterfaces:
  SpotService.SpotSceneMoveListener

All Known Implementing Classes:
  SceneDirector, SceneMarshaller.SceneMoveMarshaller, SceneMoveAdapter, SpotMarshaller.SpotSceneMoveMarshaller

Enclosing interface:
  SceneService

    public static interface SceneService.SceneMoveListener
    extends com.threerings.presents.client.InvocationService.InvocationListener

Used to communicate the response to a `SceneService.moveTo(int, int, com.threerings.whirled.client.SceneService.SceneMoveListener)` request.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `moveRequiresServerSwitch(String hostname, int[] ports)` Indicates that the client must switch to the specified server and reissue its move request in order to relocate to its desired scene.
`void` `moveSucceeded(int placeId, com.threerings.crowd.data.PlaceConfig config)` Indicates that a move succeeded.
`void` `moveSucceededWithScene(int placeId, com.threerings.crowd.data.PlaceConfig config, SceneModel model)` Indicates that a move succeeded and that the client's cached scene information should be updated with the supplied data.
`void` `moveSucceededWithUpdates(int placeId, com.threerings.crowd.data.PlaceConfig config, SceneUpdate[] updates)` Indicates that a move succeeded and that the client's cached scene information should be updated with the supplied data.

### Methods inherited from interface com.threerings.presents.client.InvocationService.InvocationListener

`requestFailed`

### Method Detail

#### moveSucceeded

    void moveSucceeded(int placeId,
                       com.threerings.crowd.data.PlaceConfig config)

Indicates that a move succeeded.

Parameters:
  `placeId` - the place object id of the newly occupied scene.
  `config` - metadata related to the newly occupied scene.

#### moveSucceededWithUpdates

    void moveSucceededWithUpdates(int placeId,
                                  com.threerings.crowd.data.PlaceConfig config,
                                  SceneUpdate[] updates)

Indicates that a move succeeded and that the client's cached scene information should be updated with the supplied data.

Parameters:
  `placeId` - the place object id of the newly occupied scene.
  `config` - metadata related to the newly occupied scene.
  `updates` - updates that must be applied to the client's copy of a scene model to bring it up to date.

#### moveSucceededWithScene

    void moveSucceededWithScene(int placeId,
                                com.threerings.crowd.data.PlaceConfig config,
                                SceneModel model)

Indicates that a move succeeded and that the client's cached scene information should be updated with the supplied data.

Parameters:
  `placeId` - the place object id of the newly occupied scene.
  `config` - metadata related to the newly occupied scene.
  `model` - a fresh copy of the most recent scene data for the newly occupied scene.

#### moveRequiresServerSwitch

    void moveRequiresServerSwitch(String hostname,
                                  int[] ports)

Indicates that the client must switch to the specified server and reissue its move request in order to relocate to its desired scene.